/*
* ASIX PRESTO LED blink example
* distributed as-is, without any warranties
* https://www.asix.tech/
*
* version 1.0, April 2022
* 
*/

#include <stdio.h>
#include "presto.h"

void ReadStatus(char* message)
{
    int status = AGetBlocking();
    if(message[0] != '\0') {
        printf("%s: %#08x\n", message, status);        
    }
    else {
          printf("%#08x\n", status);     
    }
}


int main(int argc, char *argv[])
{
    int prog_list[20];
    int prog_list_count;
    int i;
    
    printf("ASIX PRESTO AGetProgList function example \n");
   
    if(LoadPrestoDll("presto.dll") == PRESTO_DLL_LOAD_OK) {
        printf("DLL load OK\n");
    }
    else {
        printf("DLL load FAILED\n");
        return 1;
    }
        
    AGetProgList(prog_list, 20, &prog_list_count);
    if(prog_list_count < 1) {
        printf("No PRESTO programmer found.\n");
        return 2;
    }
    for(i=0;i<prog_list_count;i++) {
        printf("Found S/N %06X\n", prog_list[i]);
    }    
     
    return 0;
}

